Description

We get an error when we create a New User CRS, and it can't be created.

I attach log file

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4288: CrsException: The ... Closed 07/13/2016

Associated revisions
Revision 601 - 10/16/2016 06:34 PM - Joaquín  del Cerro Murciano

refs #4395, gracias Antonio.

History
#1 - 10/13/2016 01:14 PM - Antonio Falciano

Hi Mario,
I can reproduce the error. In the meanwhile, I can suggest a workaround: edit the \plugins\org.gvsig.projection.app.jcrs\db\usr.script file, adding a new
INSERT statement manually. It's not simple for basic users, but it works. For instance, I have added some User CRSs in my usr.script file and they are
read correctly. Hope this helps.

#2 - 10/16/2016 02:23 PM - Antonio Falciano
- Target version set to 2.3.1-2500 (rev. org.gvsig.desktop-2.0.155)

It was due to my patch in #4288. I've just attached a revised version of it that solves the issue.
I hope the fix will be applied in gvSIG 2.3.1.

#3 - 10/16/2016 06:35 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#4 - 10/16/2016 06:36 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4288: CrsException: The projection 'Popular Visualisation Pseudo Mercator' is not a proj4 projection. added
#5 - 10/16/2016 06:37 PM - Joaquín  del Cerro Murciano

Parche aplicado, 
gracias

#6 - 10/17/2016 10:41 AM - Antonio Falciano
- Status changed from Fixed to Closed

Files
gvSIG.log 427 KB 10/13/2016 Mario Carrera
